> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# formratingdice

## "formratingdice" MDO List

Implemented by the <see cref="T:SuperOffice.CRM.Lists.RatingDiceProvider">RatingDiceProvider</see> class.
The name of the MDO list is 'formratingdice'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/formratingdice
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("formratingdice", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name   | StyleHint | ExtraInfo |
| -- | ------ | --------- | --------- |
| 0  | Dice 1 |           |           |
| 1  | Dice 2 |           |           |
| 2  | Dice 3 |           |           |
| 3  | Dice 4 |           |           |
| 4  | Dice 5 |           |           |
| 5  | Dice 6 |           |           |

## Related MDO Lists

* "formratingdiceheadings"
* "formratingdiceheadingswithallitem"
* "formratingdiceheadingswithallitemwithnoselection"
* "formratingdiceheadingswithnoselection"
* "formratingdicewithallitem"
* "formratingdicewithallitemwithnoselection"
* "formratingdicewithnoselection"


## Related topics

- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
